// Edgardo Molina
// File: ImagePanel.h



#ifndef IMAGEPANEL_H
#define IMAGEPANEL_H

#include <QtGui>

// Inheritance
class ImagePanel : public QWidget {
 public:
  ImagePanel(QWidget* parent=0, Qt::WFlags f=0);
  ~ImagePanel();
  
  void reset();
  void show(QImage*);
  
 protected:
  void paintEvent(QPaintEvent*); // Implement this event, it is virtual in QWidget
  
  // Mouse related functions
  void mousePressEvent(QMouseEvent* e);
  void mouseReleaseEvent(QMouseEvent* e);
  void mouseMoveEvent(QMouseEvent* e);
  

 private:
  QPixmap _pix;

  // Mouse related members
  int _px;
  int _py;
  int _x;
  int _y;

  bool _pressed;
  
  // For color display
  int _r;
  int _g;
  int _b;

};

#endif
