// Edgardo Molina
// File: MainWindow.h


#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QList>
#include <QStringList>

class QAction;
class QMenu;
class QLabel;
class QImage;

#include "ImagePanel.h"

enum CVOp {Original = 0, RedChannel, GreenChannel, BlueChannel, AverageGray,
           Luminance, OriginalDiff};

// Inheritance
// Q_OBJECT macro is necessary for use of signals-slots
class MainWindow : public QMainWindow {
  Q_OBJECT  
 
 public:
  MainWindow();
  
 private slots:
  void open();
  void save();
  void about();
  void operation(int);
  
 private:
  void createActions();
  void createMenus();
  
  QAction *_openAct;
  QAction *_saveAct;
  QAction *_exitAct;
  QAction *_aboutAct;
  QAction *_aboutQtAct;
  
  QMenu *_fileMenu;
  QMenu *_helpMenu;
  
  QGroupBox *_buttonBox;
  
  ImagePanel *_view;
  
  QString _file;
  QImage *_originalI;
  QImage *_currentI;
};

#endif
